com.corticon.rulesemf.common

## Interface CommonPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface CommonPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `CommonFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CommonPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOTATABLE` The meta object id for the '`Annotatable`' class
    `static int` | `ANNOTATABLE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `ANNOTATABLE__NAME` The feature id for the 'Name' attribute
    `static int` | `ANNOTATABLE__VALUE` The feature id for the 'Value' attribute
    `static int` | `ANNOTATABLE_FEATURE_COUNT` The number of structural features of the 'Annotatable' class
    `static int` | `ANNOTATION` The meta object id for the '`Annotation`' class
    `static int` | `ANNOTATION__NAME` The feature id for the 'Name' attribute
    `static int` | `ANNOTATION__VALUE` The feature id for the 'Value' attribute
    `static int` | `ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Annotation' class
    `static int` | `ASSET` The meta object id for the '`Asset`' class
    `static int` | `ASSET__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `ASSET__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `ASSET__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `ASSET__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `ASSET__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `ASSET__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `ASSET__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `ASSET__READ_ONLY` The feature id for the 'Read Only' attribute
    `static int` | `ASSET__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `ASSET__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `ASSET__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `ASSET_FEATURE_COUNT` The number of structural features of the 'Asset' class
    `static int` | `CORTICON_OBJECT` The meta object id for the '`Corticon Object`' class
    `static int` | `CORTICON_OBJECT__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `CORTICON_OBJECT__GUID` The feature id for the 'Guid' attribute
    `static int` | `CORTICON_OBJECT__NAME` The feature id for the 'Name' attribute
    `static int` | `CORTICON_OBJECT__VALUE` The feature id for the 'Value' attribute
    `static int` | `CORTICON_OBJECT_FEATURE_COUNT` The number of structural features of the 'Corticon Object' class
    `static CommonPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE` The meta object id for the '`International Validation Message`' class
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__DEMOTED` The feature id for the 'Demoted' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__INVALID_OBJECTS` The feature id for the 'Invalid Objects' reference list
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__KEY` The feature id for the 'Key' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_KEY` The feature id for the 'Location Key' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_VARIABLES` The feature id for the 'Location Variables' attribute list
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__SEVERITY` The feature id for the 'Severity' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__TEXT_KEY` The feature id for the 'Text Key' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__TEXT_VARIABLES` The feature id for the 'Text Variables' attribute list
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__TYPE` The feature id for the 'Type' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE__UUID` The feature id for the 'UUID' attribute
    `static int` | `INTERNATIONAL_VALIDATION_MESSAGE_FEATURE_COUNT` The number of structural features of the 'International Validation Message' class
    `static int` | `LANGUAGE_CODE` The meta object id for the '`Language Code`' enum
    `static int` | `LOCALIZED_VALIDATION_MESSAGE` The meta object id for the '`Localized Validation Message`' class
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__DEMOTED` The feature id for the 'Demoted' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__INVALID_OBJECTS` The feature id for the 'Invalid Objects' reference list
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__KEY` The feature id for the 'Key' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__LOCATION` The feature id for the 'Location' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__SEVERITY` The feature id for the 'Severity' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__TEXT` The feature id for the 'Text' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__TYPE` The feature id for the 'Type' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE__UUID` The feature id for the 'UUID' attribute
    `static int` | `LOCALIZED_VALIDATION_MESSAGE_FEATURE_COUNT` The number of structural features of the 'Localized Validation Message' class
    `static int` | `VALIDATABLE_OBJECT` The meta object id for the '`Validatable Object`' class
    `static int` | `VALIDATABLE_OBJECT__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VALIDATABLE_OBJECT_FEATURE_COUNT` The number of structural features of the 'Validatable Object' class
    `static int` | `VALIDATION_MESSAGE` The meta object id for the '`Validation Message`' class
    `static int` | `VALIDATION_MESSAGE__DEMOTED` The feature id for the 'Demoted' attribute
    `static int` | `VALIDATION_MESSAGE__INVALID_OBJECTS` The feature id for the 'Invalid Objects' reference list
    `static int` | `VALIDATION_MESSAGE__KEY` The feature id for the 'Key' attribute
    `static int` | `VALIDATION_MESSAGE__SEVERITY` The feature id for the 'Severity' attribute
    `static int` | `VALIDATION_MESSAGE__TYPE` The feature id for the 'Type' attribute
    `static int` | `VALIDATION_MESSAGE__UUID` The feature id for the 'UUID' attribute
    `static int` | `VALIDATION_MESSAGE_FEATURE_COUNT` The number of structural features of the 'Validation Message' class
    `static int` | `VALIDATION_MESSAGE_SEVERITY` The meta object id for the '`Validation Message Severity`' enum
    `static int` | `VALIDATION_MESSAGE_TYPE` The meta object id for the '`Validation Message Type`' enum

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getAnnotatable_Annotations()` Returns the meta object for the containment reference list '`Annotations`'
    `org.eclipse.emf.ecore.EClass` | `getAnnotatable()` Returns the meta object for class '`Annotatable`'
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getAnnotation()` Returns the meta object for class '`Annotation`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_BuildNumber()` Returns the meta object for the attribute '`Build Number`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_ExternalChecksum()` Returns the meta object for the attribute '`External Checksum`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_LanguageCode()` Returns the meta object for the attribute list '`Language Code`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_MajorServiceNumber()` Returns the meta object for the attribute '`Major Service Number`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_MajorVersionNumber()` Returns the meta object for the attribute '`Major Version Number`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_MinorServiceNumber()` Returns the meta object for the attribute '`Minor Service Number`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_MinorVersionNumber()` Returns the meta object for the attribute '`Minor Version Number`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_ReadOnly()` Returns the meta object for the attribute '`Read Only`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_UpdateStamp()` Returns the meta object for the attribute '`Update Stamp`'
    `org.eclipse.emf.ecore.EReference` | `getAsset_ValidationMessages()` Returns the meta object for the containment reference list '`Validation Messages`'
    `org.eclipse.emf.ecore.EAttribute` | `getAsset_ValidationRequest()` Returns the meta object for the attribute '`Validation Request`'
    `org.eclipse.emf.ecore.EClass` | `getAsset()` Returns the meta object for class '`Asset`'
    `CommonFactory` | `getCommonFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getCorticonObject_Guid()` Returns the meta object for the attribute '`Guid`'
    `org.eclipse.emf.ecore.EClass` | `getCorticonObject()` Returns the meta object for class '`Corticon Object`'
    `org.eclipse.emf.ecore.EAttribute` | `getInternationalValidationMessage_LocationKey()` Returns the meta object for the attribute '`Location Key`'
    `org.eclipse.emf.ecore.EAttribute` | `getInternationalValidationMessage_LocationVariables()` Returns the meta object for the attribute list '`Location Variables`'
    `org.eclipse.emf.ecore.EAttribute` | `getInternationalValidationMessage_TextKey()` Returns the meta object for the attribute '`Text Key`'
    `org.eclipse.emf.ecore.EAttribute` | `getInternationalValidationMessage_TextVariables()` Returns the meta object for the attribute list '`Text Variables`'
    `org.eclipse.emf.ecore.EClass` | `getInternationalValidationMessage()` Returns the meta object for class '`International Validation Message`'
    `org.eclipse.emf.ecore.EEnum` | `getLanguageCode()` Returns the meta object for enum '`Language Code`'
    `org.eclipse.emf.ecore.EAttribute` | `getLocalizedValidationMessage_Location()` Returns the meta object for the attribute '`Location`'
    `org.eclipse.emf.ecore.EAttribute` | `getLocalizedValidationMessage_Text()` Returns the meta object for the attribute '`Text`'
    `org.eclipse.emf.ecore.EClass` | `getLocalizedValidationMessage()` Returns the meta object for class '`Localized Validation Message`'
    `org.eclipse.emf.ecore.EReference` | `getValidatableObject_ValidationMessages()` Returns the meta object for the reference list '`Validation Messages`'
    `org.eclipse.emf.ecore.EClass` | `getValidatableObject()` Returns the meta object for class '`Validatable Object`'
    `org.eclipse.emf.ecore.EAttribute` | `getValidationMessage_Demoted()` Returns the meta object for the attribute '`Demoted`'
    `org.eclipse.emf.ecore.EReference` | `getValidationMessage_InvalidObjects()` Returns the meta object for the reference list '`Invalid Objects`'
    `org.eclipse.emf.ecore.EAttribute` | `getValidationMessage_Key()` Returns the meta object for the attribute '`Key`'
    `org.eclipse.emf.ecore.EAttribute` | `getValidationMessage_Severity()` Returns the meta object for the attribute '`Severity`'
    `org.eclipse.emf.ecore.EAttribute` | `getValidationMessage_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EAttribute` | `getValidationMessage_UUID()` Returns the meta object for the attribute '`UUID`'
    `org.eclipse.emf.ecore.EClass` | `getValidationMessage()` Returns the meta object for class '`Validation Message`'
    `org.eclipse.emf.ecore.EEnum` | `getValidationMessageSeverity()` Returns the meta object for enum '`Validation Message Severity`'
    `org.eclipse.emf.ecore.EEnum` | `getValidationMessageType()` Returns the meta object for enum '`Validation Message Type`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final CommonPackage eINSTANCE

      The singleton instance of the package.

    - #### VALIDATION_MESSAGE

          static final int VALIDATION_MESSAGE

      The meta object id for the '`Validation Message`' class.
      See Also:
        `ValidationMessageImpl`, `CommonPackageImpl.getValidationMessage()`, Constant Field Values

    - #### VALIDATION_MESSAGE__UUID

          static final int VALIDATION_MESSAGE__UUID

      The feature id for the 'UUID' attribute.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE__KEY

          static final int VALIDATION_MESSAGE__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE__TYPE

          static final int VALIDATION_MESSAGE__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE__SEVERITY

          static final int VALIDATION_MESSAGE__SEVERITY

      The feature id for the 'Severity' attribute.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE__DEMOTED

          static final int VALIDATION_MESSAGE__DEMOTED

      The feature id for the 'Demoted' attribute.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE__INVALID_OBJECTS

          static final int VALIDATION_MESSAGE__INVALID_OBJECTS

      The feature id for the 'Invalid Objects' reference list.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE_FEATURE_COUNT

          static final int VALIDATION_MESSAGE_FEATURE_COUNT

      The number of structural features of the 'Validation Message' class.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE

          static final int LOCALIZED_VALIDATION_MESSAGE

      The meta object id for the '`Localized Validation Message`' class.
      See Also:
        `LocalizedValidationMessageImpl`, `CommonPackageImpl.getLocalizedValidationMessage()`, Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__UUID

          static final int LOCALIZED_VALIDATION_MESSAGE__UUID

      The feature id for the 'UUID' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__KEY

          static final int LOCALIZED_VALIDATION_MESSAGE__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__TYPE

          static final int LOCALIZED_VALIDATION_MESSAGE__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__SEVERITY

          static final int LOCALIZED_VALIDATION_MESSAGE__SEVERITY

      The feature id for the 'Severity' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__DEMOTED

          static final int LOCALIZED_VALIDATION_MESSAGE__DEMOTED

      The feature id for the 'Demoted' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__INVALID_OBJECTS

          static final int LOCALIZED_VALIDATION_MESSAGE__INVALID_OBJECTS

      The feature id for the 'Invalid Objects' reference list.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__TEXT

          static final int LOCALIZED_VALIDATION_MESSAGE__TEXT

      The feature id for the 'Text' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE__LOCATION

          static final int LOCALIZED_VALIDATION_MESSAGE__LOCATION

      The feature id for the 'Location' attribute.
      See Also:
        Constant Field Values

    - #### LOCALIZED_VALIDATION_MESSAGE_FEATURE_COUNT

          static final int LOCALIZED_VALIDATION_MESSAGE_FEATURE_COUNT

      The number of structural features of the 'Localized Validation Message' class.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE

          static final int INTERNATIONAL_VALIDATION_MESSAGE

      The meta object id for the '`International Validation Message`' class.
      See Also:
        `InternationalValidationMessageImpl`, `CommonPackageImpl.getInternationalValidationMessage()`, Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__UUID

          static final int INTERNATIONAL_VALIDATION_MESSAGE__UUID

      The feature id for the 'UUID' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__KEY

          static final int INTERNATIONAL_VALIDATION_MESSAGE__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__TYPE

          static final int INTERNATIONAL_VALIDATION_MESSAGE__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__SEVERITY

          static final int INTERNATIONAL_VALIDATION_MESSAGE__SEVERITY

      The feature id for the 'Severity' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__DEMOTED

          static final int INTERNATIONAL_VALIDATION_MESSAGE__DEMOTED

      The feature id for the 'Demoted' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__INVALID_OBJECTS

          static final int INTERNATIONAL_VALIDATION_MESSAGE__INVALID_OBJECTS

      The feature id for the 'Invalid Objects' reference list.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__TEXT_KEY

          static final int INTERNATIONAL_VALIDATION_MESSAGE__TEXT_KEY

      The feature id for the 'Text Key' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__TEXT_VARIABLES

          static final int INTERNATIONAL_VALIDATION_MESSAGE__TEXT_VARIABLES

      The feature id for the 'Text Variables' attribute list.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_KEY

          static final int INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_KEY

      The feature id for the 'Location Key' attribute.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_VARIABLES

          static final int INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_VARIABLES

      The feature id for the 'Location Variables' attribute list.
      See Also:
        Constant Field Values

    - #### INTERNATIONAL_VALIDATION_MESSAGE_FEATURE_COUNT

          static final int INTERNATIONAL_VALIDATION_MESSAGE_FEATURE_COUNT

      The number of structural features of the 'International Validation Message' class.
      See Also:
        Constant Field Values

    - #### ASSET

          static final int ASSET

      The meta object id for the '`Asset`' class.
      See Also:
        `AssetImpl`, `CommonPackageImpl.getAsset()`, Constant Field Values

    - #### VALIDATABLE_OBJECT

          static final int VALIDATABLE_OBJECT

      The meta object id for the '`Validatable Object`' class.
      See Also:
        `ValidatableObjectImpl`, `CommonPackageImpl.getValidatableObject()`, Constant Field Values

    - #### ASSET__LANGUAGE_CODE

          static final int ASSET__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### ASSET__MAJOR_VERSION_NUMBER

          static final int ASSET__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__MINOR_VERSION_NUMBER

          static final int ASSET__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__MAJOR_SERVICE_NUMBER

          static final int ASSET__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__MINOR_SERVICE_NUMBER

          static final int ASSET__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__BUILD_NUMBER

          static final int ASSET__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__UPDATE_STAMP

          static final int ASSET__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__VALIDATION_REQUEST

          static final int ASSET__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__EXTERNAL_CHECKSUM

          static final int ASSET__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__READ_ONLY

          static final int ASSET__READ_ONLY

      The feature id for the 'Read Only' attribute.
      See Also:
        Constant Field Values

    - #### ASSET__VALIDATION_MESSAGES

          static final int ASSET__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### ASSET_FEATURE_COUNT

          static final int ASSET_FEATURE_COUNT

      The number of structural features of the 'Asset' class.
      See Also:
        Constant Field Values

    - #### VALIDATABLE_OBJECT__VALIDATION_MESSAGES

          static final int VALIDATABLE_OBJECT__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VALIDATABLE_OBJECT_FEATURE_COUNT

          static final int VALIDATABLE_OBJECT_FEATURE_COUNT

      The number of structural features of the 'Validatable Object' class.
      See Also:
        Constant Field Values

    - #### ANNOTATION

          static final int ANNOTATION

      The meta object id for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `CommonPackageImpl.getAnnotation()`, Constant Field Values

    - #### ANNOTATION__NAME

          static final int ANNOTATION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ANNOTATION__VALUE

          static final int ANNOTATION__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### ANNOTATION_FEATURE_COUNT

          static final int ANNOTATION_FEATURE_COUNT

      The number of structural features of the 'Annotation' class.
      See Also:
        Constant Field Values

    - #### ANNOTATABLE

          static final int ANNOTATABLE

      The meta object id for the '`Annotatable`' class.
      See Also:
        `AnnotatableImpl`, `CommonPackageImpl.getAnnotatable()`, Constant Field Values

    - #### ANNOTATABLE__NAME

          static final int ANNOTATABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ANNOTATABLE__VALUE

          static final int ANNOTATABLE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### ANNOTATABLE__ANNOTATIONS

          static final int ANNOTATABLE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### ANNOTATABLE_FEATURE_COUNT

          static final int ANNOTATABLE_FEATURE_COUNT

      The number of structural features of the 'Annotatable' class.
      See Also:
        Constant Field Values

    - #### CORTICON_OBJECT

          static final int CORTICON_OBJECT

      The meta object id for the '`Corticon Object`' class.
      See Also:
        `CorticonObjectImpl`, `CommonPackageImpl.getCorticonObject()`, Constant Field Values

    - #### CORTICON_OBJECT__NAME

          static final int CORTICON_OBJECT__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### CORTICON_OBJECT__VALUE

          static final int CORTICON_OBJECT__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### CORTICON_OBJECT__ANNOTATIONS

          static final int CORTICON_OBJECT__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### CORTICON_OBJECT__GUID

          static final int CORTICON_OBJECT__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### CORTICON_OBJECT_FEATURE_COUNT

          static final int CORTICON_OBJECT_FEATURE_COUNT

      The number of structural features of the 'Corticon Object' class.
      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGE_TYPE

          static final int VALIDATION_MESSAGE_TYPE

      The meta object id for the '`Validation Message Type`' enum.
      See Also:
        `ValidationMessageType`, `CommonPackageImpl.getValidationMessageType()`, Constant Field Values

    - #### VALIDATION_MESSAGE_SEVERITY

          static final int VALIDATION_MESSAGE_SEVERITY

      The meta object id for the '`Validation Message Severity`' enum.
      See Also:
        `ValidationMessageSeverity`, `CommonPackageImpl.getValidationMessageSeverity()`, Constant Field Values

    - #### LANGUAGE_CODE

          static final int LANGUAGE_CODE

      The meta object id for the '`Language Code`' enum.
      See Also:
        `LanguageCode`, `CommonPackageImpl.getLanguageCode()`, Constant Field Values

  - ### Method Detail

    - #### getValidationMessage

          org.eclipse.emf.ecore.EClass getValidationMessage()

      Returns the meta object for class '`Validation Message`'.
      Returns:
        the meta object for class 'Validation Message'.
      See Also:
        `ValidationMessage`

    - #### getValidationMessage_UUID

          org.eclipse.emf.ecore.EAttribute getValidationMessage_UUID()

      Returns the meta object for the attribute '`UUID`'.
      Returns:
        the meta object for the attribute 'UUID'.
      See Also:
        `ValidationMessage.getUUID()`, `getValidationMessage()`

    - #### getValidationMessage_Key

          org.eclipse.emf.ecore.EAttribute getValidationMessage_Key()

      Returns the meta object for the attribute '`Key`'.
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `ValidationMessage.getKey()`, `getValidationMessage()`

    - #### getValidationMessage_Type

          org.eclipse.emf.ecore.EAttribute getValidationMessage_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `ValidationMessage.getType()`, `getValidationMessage()`

    - #### getValidationMessage_Severity

          org.eclipse.emf.ecore.EAttribute getValidationMessage_Severity()

      Returns the meta object for the attribute '`Severity`'.
      Returns:
        the meta object for the attribute 'Severity'.
      See Also:
        `ValidationMessage.getSeverity()`, `getValidationMessage()`

    - #### getValidationMessage_Demoted

          org.eclipse.emf.ecore.EAttribute getValidationMessage_Demoted()

      Returns the meta object for the attribute '`Demoted`'.
      Returns:
        the meta object for the attribute 'Demoted'.
      See Also:
        `ValidationMessage.isDemoted()`, `getValidationMessage()`

    - #### getValidationMessage_InvalidObjects

          org.eclipse.emf.ecore.EReference getValidationMessage_InvalidObjects()

      Returns the meta object for the reference list '`Invalid Objects`'.
      Returns:
        the meta object for the reference list 'Invalid Objects'.
      See Also:
        `ValidationMessage.getInvalidObjects()`, `getValidationMessage()`

    - #### getLocalizedValidationMessage

          org.eclipse.emf.ecore.EClass getLocalizedValidationMessage()

      Returns the meta object for class '`Localized Validation Message`'.
      Returns:
        the meta object for class 'Localized Validation Message'.
      See Also:
        `LocalizedValidationMessage`

    - #### getLocalizedValidationMessage_Text

          org.eclipse.emf.ecore.EAttribute getLocalizedValidationMessage_Text()

      Returns the meta object for the attribute '`Text`'.
      Returns:
        the meta object for the attribute 'Text'.
      See Also:
        `LocalizedValidationMessage.getText()`, `getLocalizedValidationMessage()`

    - #### getLocalizedValidationMessage_Location

          org.eclipse.emf.ecore.EAttribute getLocalizedValidationMessage_Location()

      Returns the meta object for the attribute '`Location`'.
      Returns:
        the meta object for the attribute 'Location'.
      See Also:
        `LocalizedValidationMessage.getLocation()`, `getLocalizedValidationMessage()`

    - #### getInternationalValidationMessage

          org.eclipse.emf.ecore.EClass getInternationalValidationMessage()

      Returns the meta object for class '`International Validation Message`'.
      Returns:
        the meta object for class 'International Validation Message'.
      See Also:
        `InternationalValidationMessage`

    - #### getInternationalValidationMessage_TextKey

          org.eclipse.emf.ecore.EAttribute getInternationalValidationMessage_TextKey()

      Returns the meta object for the attribute '`Text Key`'.
      Returns:
        the meta object for the attribute 'Text Key'.
      See Also:
        `InternationalValidationMessage.getTextKey()`, `getInternationalValidationMessage()`

    - #### getInternationalValidationMessage_TextVariables

          org.eclipse.emf.ecore.EAttribute getInternationalValidationMessage_TextVariables()

      Returns the meta object for the attribute list '`Text Variables`'.
      Returns:
        the meta object for the attribute list 'Text Variables'.
      See Also:
        `InternationalValidationMessage.getTextVariables()`, `getInternationalValidationMessage()`

    - #### getInternationalValidationMessage_LocationKey

          org.eclipse.emf.ecore.EAttribute getInternationalValidationMessage_LocationKey()

      Returns the meta object for the attribute '`Location Key`'.
      Returns:
        the meta object for the attribute 'Location Key'.
      See Also:
        `InternationalValidationMessage.getLocationKey()`, `getInternationalValidationMessage()`

    - #### getInternationalValidationMessage_LocationVariables

          org.eclipse.emf.ecore.EAttribute getInternationalValidationMessage_LocationVariables()

      Returns the meta object for the attribute list '`Location Variables`'.
      Returns:
        the meta object for the attribute list 'Location Variables'.
      See Also:
        `InternationalValidationMessage.getLocationVariables()`, `getInternationalValidationMessage()`

    - #### getAsset

          org.eclipse.emf.ecore.EClass getAsset()

      Returns the meta object for class '`Asset`'.
      Returns:
        the meta object for class 'Asset'.
      See Also:
        `Asset`

    - #### getAsset_LanguageCode

          org.eclipse.emf.ecore.EAttribute getAsset_LanguageCode()

      Returns the meta object for the attribute list '`Language Code`'.
      Returns:
        the meta object for the attribute list 'Language Code'.
      See Also:
        `Asset.getLanguageCode()`, `getAsset()`

    - #### getAsset_MajorVersionNumber

          org.eclipse.emf.ecore.EAttribute getAsset_MajorVersionNumber()

      Returns the meta object for the attribute '`Major Version Number`'.
      Returns:
        the meta object for the attribute 'Major Version Number'.
      See Also:
        `Asset.getMajorVersionNumber()`, `getAsset()`

    - #### getAsset_MinorVersionNumber

          org.eclipse.emf.ecore.EAttribute getAsset_MinorVersionNumber()

      Returns the meta object for the attribute '`Minor Version Number`'.
      Returns:
        the meta object for the attribute 'Minor Version Number'.
      See Also:
        `Asset.getMinorVersionNumber()`, `getAsset()`

    - #### getAsset_MajorServiceNumber

          org.eclipse.emf.ecore.EAttribute getAsset_MajorServiceNumber()

      Returns the meta object for the attribute '`Major Service Number`'.
      Returns:
        the meta object for the attribute 'Major Service Number'.
      See Also:
        `Asset.getMajorServiceNumber()`, `getAsset()`

    - #### getAsset_MinorServiceNumber

          org.eclipse.emf.ecore.EAttribute getAsset_MinorServiceNumber()

      Returns the meta object for the attribute '`Minor Service Number`'.
      Returns:
        the meta object for the attribute 'Minor Service Number'.
      See Also:
        `Asset.getMinorServiceNumber()`, `getAsset()`

    - #### getAsset_BuildNumber

          org.eclipse.emf.ecore.EAttribute getAsset_BuildNumber()

      Returns the meta object for the attribute '`Build Number`'.
      Returns:
        the meta object for the attribute 'Build Number'.
      See Also:
        `Asset.getBuildNumber()`, `getAsset()`

    - #### getAsset_UpdateStamp

          org.eclipse.emf.ecore.EAttribute getAsset_UpdateStamp()

      Returns the meta object for the attribute '`Update Stamp`'.
      Returns:
        the meta object for the attribute 'Update Stamp'.
      See Also:
        `Asset.getUpdateStamp()`, `getAsset()`

    - #### getAsset_ValidationRequest

          org.eclipse.emf.ecore.EAttribute getAsset_ValidationRequest()

      Returns the meta object for the attribute '`Validation Request`'.
      Returns:
        the meta object for the attribute 'Validation Request'.
      See Also:
        `Asset.getValidationRequest()`, `getAsset()`

    - #### getAsset_ExternalChecksum

          org.eclipse.emf.ecore.EAttribute getAsset_ExternalChecksum()

      Returns the meta object for the attribute '`External Checksum`'.
      Returns:
        the meta object for the attribute 'External Checksum'.
      See Also:
        `Asset.getExternalChecksum()`, `getAsset()`

    - #### getAsset_ReadOnly

          org.eclipse.emf.ecore.EAttribute getAsset_ReadOnly()

      Returns the meta object for the attribute '`Read Only`'.
      Returns:
        the meta object for the attribute 'Read Only'.
      See Also:
        `Asset.isReadOnly()`, `getAsset()`

    - #### getAsset_ValidationMessages

          org.eclipse.emf.ecore.EReference getAsset_ValidationMessages()

      Returns the meta object for the containment reference list '`Validation Messages`'.
      Returns:
        the meta object for the containment reference list 'Validation Messages'.
      See Also:
        `Asset.getValidationMessages()`, `getAsset()`

    - #### getValidatableObject

          org.eclipse.emf.ecore.EClass getValidatableObject()

      Returns the meta object for class '`Validatable Object`'.
      Returns:
        the meta object for class 'Validatable Object'.
      See Also:
        `ValidatableObject`

    - #### getValidatableObject_ValidationMessages

          org.eclipse.emf.ecore.EReference getValidatableObject_ValidationMessages()

      Returns the meta object for the reference list '`Validation Messages`'.
      Returns:
        the meta object for the reference list 'Validation Messages'.
      See Also:
        `ValidatableObject.getValidationMessages()`, `getValidatableObject()`

    - #### getAnnotation

          org.eclipse.emf.ecore.EClass getAnnotation()

      Returns the meta object for class '`Annotation`'.
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`

    - #### getAnnotation_Name

          org.eclipse.emf.ecore.EAttribute getAnnotation_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Annotation.getName()`, `getAnnotation()`

    - #### getAnnotation_Value

          org.eclipse.emf.ecore.EAttribute getAnnotation_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Annotation.getValue()`, `getAnnotation()`

    - #### getAnnotatable

          org.eclipse.emf.ecore.EClass getAnnotatable()

      Returns the meta object for class '`Annotatable`'.
      Returns:
        the meta object for class 'Annotatable'.
      See Also:
        `Annotatable`

    - #### getAnnotatable_Annotations

          org.eclipse.emf.ecore.EReference getAnnotatable_Annotations()

      Returns the meta object for the containment reference list '`Annotations`'.
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `Annotatable.getAnnotations()`, `getAnnotatable()`

    - #### getCorticonObject

          org.eclipse.emf.ecore.EClass getCorticonObject()

      Returns the meta object for class '`Corticon Object`'.
      Returns:
        the meta object for class 'Corticon Object'.
      See Also:
        `CorticonObject`

    - #### getCorticonObject_Guid

          org.eclipse.emf.ecore.EAttribute getCorticonObject_Guid()

      Returns the meta object for the attribute '`Guid`'.
      Returns:
        the meta object for the attribute 'Guid'.
      See Also:
        `CorticonObject.getGuid()`, `getCorticonObject()`

    - #### getValidationMessageType

          org.eclipse.emf.ecore.EEnum getValidationMessageType()

      Returns the meta object for enum '`Validation Message Type`'.
      Returns:
        the meta object for enum 'Validation Message Type'.
      See Also:
        `ValidationMessageType`

    - #### getValidationMessageSeverity

          org.eclipse.emf.ecore.EEnum getValidationMessageSeverity()

      Returns the meta object for enum '`Validation Message Severity`'.
      Returns:
        the meta object for enum 'Validation Message Severity'.
      See Also:
        `ValidationMessageSeverity`

    - #### getLanguageCode

          org.eclipse.emf.ecore.EEnum getLanguageCode()

      Returns the meta object for enum '`Language Code`'.
      Returns:
        the meta object for enum 'Language Code'.
      See Also:
        `LanguageCode`

    - #### getCommonFactory

          CommonFactory getCommonFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.